///////////////////////////////////////////////////////////////////////////////
//
// CutNJets
// -----------------
//
// Authors: Reinhard Schwienhorst
//       
// Date: November 7 2006
// 
// This class is derived from the single_top_analysis/HistoCut Class and has
// implements cutting on jet multiplicity.
//
// 
///////////////////////////////////////////////////////////////////////////////

#ifndef CutNJets_h
#define CutNJets_h

#include "single_top_analysis/HistoCut.hpp"
#include "single_top_analysis/Particles.hpp"

#include <string>
#include <vector>
#include <sstream>

using namespace std;


class CutNJets : public HistoCut 
{

public:

  // constructor
  CutNJets(Particles *obj);
  
  // destructor
  ~CutNJets();

  // methods:
  void BookHistos();
  bool Apply();
  
  inline std::string GetCutName (void) { return "CutNJets"; };


private:
  // Histograms declaration 
  //
  //////////////////////////////////////////////////////////////////////////
  // define some histograms to be filled
  //
  myTH1F* _hNJetsBefore;    // histogram number of jets before the cut
  myTH1F* _hNJetsAfter;     // histogram number of jets after the cut.

  // 
  // cut parameters
  //
  int _nJetsMin;           // minimum number of jets to require
  int _nJetsMax;           // Maximum number of jets allowed

};


#endif







