///////////////////////////////////////////////////////////////////////////////
//
// EventWeight
// -----------------
//
// Authors: Reinhard Schwienhorst
//       
// Date: April 28 2004
// 
// This class is derived from the BaseCut Class and simply
// cuts on if the event has reconstructed objects
// 
///////////////////////////////////////////////////////////////////////////////

#ifndef EventWeight_h
#define EventWeight_h

#include "single_top_analysis/HistoCut.hpp"
#include "single_top_analysis/Particles.hpp"

#include <string>
#include <vector>
#include <sstream>

using namespace std;


class EventWeight : public HistoCut
{

public:

  // constructor
  EventWeight(Particles *obj);
  
  // destructor
  ~EventWeight();

  // methods:
  void BookHistos(void );
  bool Apply();
  
  inline std::string GetCutName (void) { return "EventWeight"; };


private:
  // 
  //
  //////////////////////////////////////////////////////////////////////////
  // Histograms
  myTH1F* _hTreeWeight;
  myTH1F* _hGlobalWeight;
  myTH1F* _hOutputWeight;

};


#endif







