///////////////////////////////////////////////////////////////////////////////
//
// HistogrammingNJets
// -----------------
//
// Authors: Reinhard Schwienhorst
//       
// Date: October 19 2006
// 
// This class is derived from the single_top_analysis/HistoCut Class and has the booking 
// and filling of all the basic histograms for the final state objects
//
// 
///////////////////////////////////////////////////////////////////////////////

#ifndef HistogrammingNJets_h
#define HistogrammingNJets_h

#include "single_top_analysis/HistoCut.hpp"
#include "single_top_analysis/Particles.hpp"

#include <string>
#include <vector>
#include <sstream>

using namespace std;


class HistogrammingNJets : public HistoCut 
{

public:

  // constructor
  HistogrammingNJets(Particles *obj);
  
  // destructor
  ~HistogrammingNJets();

  // methods:
  void BookHistos();
  bool Apply();
  
  inline std::string GetCutName (void) { return "HistogrammingNJets"; };


private:
  // Histograms declaration 
  //
  //////////////////////////////////////////////////////////////////////////
  ////////////////////////////////////////////////////////
  // define some histograms to be filled
  //////////////////////////
  // histograms of final state particles
  myTH1F* _hNJets;


};


#endif







