///////////////////////////////////////////////////////////////////////////////
//
// HistogrammingNJets
// --------------
//
// Authors: Reinhard Schwienhorst
//         
//
// Date: April 28, 2004
//
// Modified:
// 
//
///////////////////////////////////////////////////////////////////////////////

#include "single_top_analysis/HistogrammingNJets.hpp"
#include<iostream>

using namespace std;


//----------------
// constructor
//----------------
HistogrammingNJets::HistogrammingNJets(Particles *obj)
{
  SetParticleObj(obj);
}

//----------------
// destructor
//----------------
HistogrammingNJets::~HistogrammingNJets()
{
  
}

//----------------
// Book
//----------------
void HistogrammingNJets::BookHistos(){
  
  _hNJets = DeclareTH1F("njets","Number of Jets",10,0.,10.);
  _hNJets->SetXAxisTitle("# of jets");
  //cout<<"end of HistogrammingNJets::BookHistos"<<endl;
}

//-------------
// Apply
//-------------
bool HistogrammingNJets::Apply()
{
  //cout<<"Begin of HistogrammingNJets::Apply()"<<endl;
  Particles *obj=GetParticleObj();
  EventTree * evTree=obj->GetEventTree();
  
  // and fill the histograms
  _hNJets->Fill(evTree->PJet_N);



  //cout<<"End of HistogrammingNJets::Apply()"<<endl;
  return true;  
  
}












